Results 1 to 4 of 4

Thread: Combine _AecbDeviceAdd and _AecbLabelCurveAdd commands?

  1. #1
    Member
    Join Date
    2001-04
    Posts
    18
    Login to Give a bone
    0

    Default Combine _AecbDeviceAdd and _AecbLabelCurveAdd commands?

    I want to add a second routine to a command. Can you put these two together to make them work?

    ^C^C(command "_AecbDeviceAdd" "li" "Receptacles" "st" "Duplex Receptacle" "E" "48" "ID" "48" "SY" "120V Power" "c" "1" "L" "180" "p" "1" "")

    ^C^C_AecbLabelCurveAdd

    Thanks,
    Rich Cleveland
    Electrical CAD Technician

  2. #2
    Member
    Join Date
    2001-04
    Posts
    18
    Login to Give a bone
    0

    Default Re: Combine _AecbDeviceAdd and _AecbLabelCurveAdd commands?

    ^C^C(command "_AecbDeviceAdd" "li" "Receptacles" "st" "Duplex Receptacle" "E" "48" "ID" (strcat "48" (chr 34)) "SY" "120V Power" "c" "1" "L" "180" "p" "1" "") \\^C^C_AecbLabelCurveAdd

  3. #3
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,106
    Login to Give a bone
    0

    Default Re: Combine _AecbDeviceAdd and _AecbLabelCurveAdd commands?

    Quote Originally Posted by rcleveland
    ^C^C(command "_AecbDeviceAdd" "li" "Receptacles" "st" "Duplex Receptacle" "E" "48" "ID" (strcat "48" (chr 34)) "SY" "120V Power" "c" "1" "L" "180" "p" "1" "") \\^C^C_AecbLabelCurveAdd
    I don't have the vertical you are using so you will need to test the below for me.

    Code:
    (defun c:deviceadd () ;<- Change this to something that you would want to type at the command line.
      (command "_AecbDeviceAdd" "li" "Receptacles" "st" "Duplex Receptacle" "E" "48" "ID" (strcat "48" (chr 34)) "SY" "120V Power" "c" "1" "L" "180" "p" "1" "")
      (command "_AecbLabelCurveAdd")
    )
    You can either paste the above code onto your command line, which then would define the c:deviceadd command. After it is defined, you can type it at the command prompt. You could also paste the above code into a file with whatever file name you want as long as it has a ".lsp" extension. You could then use APPLOAD to load that file. You would then be able to type the command at the command prompt.

    If you pasted the above into a file and use APPLOAD to load it, you could place the following code into a toolbar or menu
    Code:
    ^c^c(c:deviceadd) ;<- again this would match the above command name if you choose to change it.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  4. #4
    Member
    Join Date
    2001-04
    Posts
    18
    Login to Give a bone
    0

    Default Re: Combine _AecbDeviceAdd and _AecbLabelCurveAdd commands?

    Thanks Opie. My own reply to the original post contained the solution I was looking for. I added the "space, backslash, blackslash" between the routines to reach the desired macro.

    I'm building a "smarter" Electrical Tool palette for ABS 2006 that will automate much of the processes.

    Thanks for the help,

    Rich

    ABS2006

Similar Threads

  1. Combine
    By Loc in forum AutoLISP
    Replies: 2
    Last Post: 2009-11-04, 06:15 PM
  2. combine different sheets to one dwg?
    By eveofdestruction in forum AutoCAD General
    Replies: 2
    Last Post: 2009-09-28, 06:38 PM
  3. combine 2 commands into one
    By CISCO in forum AutoLISP
    Replies: 8
    Last Post: 2008-03-27, 12:00 AM
  4. Hot Key Commands Vs Selecting Toolbar Commands.
    By matthew.113087 in forum AutoCAD General
    Replies: 10
    Last Post: 2007-06-28, 11:37 AM
  5. Can I combine .pan files into an AVI?
    By Max Lloyd in forum Revit Architecture - General
    Replies: 0
    Last Post: 2005-03-03, 11:24 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •